# Word class

Represents a single word. A word is made up of glyphs.

Inheritance
  - Object
  - OcrElement
  - Word

## Constructors

Word.new({required String text, required double confidence, required List<Point<double>> roi, required List<Glyph> glyphs})
Word.fromJson(Map<String, dynamic> json)
  factory

## Properties

confidence → double
  Text confidence. Range is `[0-1]`.
  final inherited
glyphs → List<Glyph>
  List of glyphs.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
roi → List<Point<double>>
  Quad where the text was found in image coordinates. The order of the points is clockwise starting from the top left.
  final inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text → String
  The recognized text.
  final inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited